For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tasks

Tasks are used on workspaces and can be connected to people, organizations, and conversations.

Good to know:

  • A task must always contain a title

  • A task must be part of a workspace

  • The type (task or deal) is determined by the workspace

Creates a Task resource.

post

Creates a Task resource.

Authorizations
Body
parentstring · nullableOptionalExample: https://example.com/
beforeTaskstring · nullableOptionalExample: https://example.com/
afterTaskstring · nullableOptionalExample: https://example.com/
positionTopboolean · nullableOptionalDefault: false
titlestring · nullableRequired

Title of task

descriptionstring · nullableOptional

Short description of task

statusstring · nullableOptional

Workspace

Example: /workspaces/{workspaceId}/columns/{id}
authorstring · nullableOptional

Author of this task

Example: /users/{id}
assigneesobject · User.HeartbeatPayload[]Optional
observersobject · User.HeartbeatPayload[]Optional
isFlaggedbooleanOptional

Highlight this task

Default: false
archivedAtstring · nullableOptional

Archive task

dueDatestring · nullableOptional

Date when this task is due

isTemplatebooleanOptional

Task is a template

Default: false
storyPointEstimationinteger · nullableOptional
dealSizeEstimationinteger · nullableOptional
timeEstimationinteger · max: 4294967295 · nullableOptional
scheduledOnstring · nullableOptional

Date when task is scheduled

plannedWeekstring · nullableOptional

Date when task is planned in week

plannedMonthstring · nullableOptional

Date when task is planned in month

snoozeUntilstring · nullableOptional

Snooze task until

Responses
201

Task resource created

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
idstring · nullableOptional
positioninteger · nullableOptional
totalCommentsinteger · nullableOptional
titlestring · nullableOptional
descriptionstring · nullableOptional
isFlaggedboolean · nullableOptional
isSubTaskboolean · nullableOptional
indexNumberinteger · nullableOptional
createdAtstring · nullableOptional
updatedAtstring · nullableOptional
completedAtstring · nullableOptional
archivedAtstring · nullableOptional
dueDatestring · nullableOptional
workspacestring · nullableOptionalExample: https://example.com/
statusstring · nullableOptionalExample: https://example.com/
authorstring · nullableOptionalExample: https://example.com/
parentstring · nullableOptionalExample: https://example.com/
tagsstring · iri-reference[]OptionalExample: https://example.com/
assigneesstring · iri-reference[]OptionalExample: https://example.com/
observersstring · iri-reference[]OptionalExample: https://example.com/
subTasksany ofOptional
string · iri-reference[]OptionalExample: https://example.com/
or
string · iri-reference[]OptionalExample: https://example.com/
completedSubtasksinteger · nullableOptional
totalSubtasksinteger · nullableOptional
isTemplateboolean · nullableOptional
storyPointEstimationinteger · nullableOptional
timeEstimationinteger · nullableOptional
dealSizeEstimationinteger · nullableOptional
messageProviderstring · nullableOptional
scheduledOnstring · nullableOptional
previouslyScheduledOnstring · nullableOptional
plannedWeekstring · nullableOptional
plannedMonthstring · nullableOptional
snoozeUntilstring · nullableOptional
isRecurringboolean · nullableOptional
workspaceTypestring · nullableOptional
conversationItemsstring · iri-reference[]OptionalExample: https://example.com/
peoplestring · iri-reference[]OptionalExample: https://example.com/
organizationsstring · iri-reference[]OptionalExample: https://example.com/
automationstring · nullableOptionalExample: https://example.com/
startDatestring · nullableOptional
post/tasks
POST /tasks HTTP/1.1
Host: api.rogerroger.io
Content-Type: application/ld+json
Accept: */*
Content-Length: 4110

{
  "parent": "https://example.com/",
  "beforeTask": "https://example.com/",
  "afterTask": "https://example.com/",
  "positionTop": false,
  "participants": [
    null
  ],
  "title": null,
  "description": null,
  "status": "/workspaces/{workspaceId}/columns/{id}",
  "author": "/users/{id}",
  "assignees": [
    {}
  ],
  "observers": [
    {}
  ],
  "tags": [
    {
      "id": null,
      "backgroundColor": null,
      "textColor": null,
      "title": null,
      "description": null,
      "createdAt": null,
      "updatedAt": null
    }
  ],
  "people": [
    {
      "familyName": null,
      "givenName": null,
      "additionalName": null,
      "initials": null,
      "customerId": null,
      "honorificPrefix": null,
      "isTracked": null,
      "linkedinId": null,
      "externalSource": null,
      "archivedAt": null,
      "owner": "/users/{id}",
      "jobTitle": null,
      "tags": [
        "/tags/{id}"
      ],
      "segments": [
        "/segments/{id}"
      ],
      "organizations": [
        "/organizations/{id}"
      ],
      "emailAddresses": [
        {
          "email": null
        }
      ],
      "phoneNumbers": [
        {
          "phoneNumber": null,
          "phoneType": "fax"
        }
      ],
      "address": {
        "city": null,
        "postalCode": null,
        "street": null,
        "country": "NL"
      },
      "avatar": "/media_objects/{id}",
      "dealSize": null,
      "totalDeals": null,
      "totalLostDeals": null,
      "totalWonDeals": null,
      "id": null
    }
  ],
  "organizations": [
    {
      "description": null,
      "emailAddresses": [
        {
          "email": null
        }
      ],
      "phoneNumbers": [
        {
          "phoneNumber": null,
          "phoneType": "fax"
        }
      ],
      "title": null,
      "website": null,
      "customerId": null,
      "externalSource": null,
      "chamberOfCommerceNumber": null,
      "linkedinId": null,
      "archivedAt": null,
      "address": {
        "city": null,
        "postalCode": null,
        "street": null,
        "country": "NL"
      },
      "owner": "/users/{id}",
      "people": [
        "/people/{id}"
      ],
      "avatar": "/media_objects/{id}",
      "tags": [
        "/tags/{id}"
      ],
      "segments": [
        "/segments/{id}"
      ],
      "integrationParticipants": [
        "https://example.com/"
      ],
      "id": null
    }
  ],
  "messages": [
    {
      "emailAccount": {
        "label": null,
        "emailAccountType": "group",
        "email": null,
        "fromName": null,
        "shareType": "all",
        "color": null,
        "createdAt": null,
        "authorized": null,
        "integrationData": [
          null
        ],
        "owner": "https://example.com/",
        "provider": {
          "title": null,
          "isDevelopment": false,
          "category": null,
          "description": null,
          "privacyDescription": null,
          "authUrl": null,
          "redirectUrl": null,
          "id": null
        },
        "signaturesNew": [
          "/email_signatures/{id}"
        ],
        "signaturesReply": [
          "/email_signatures/{id}"
        ],
        "id": null
      },
      "dateSent": null,
      "subject": null,
      "userSubject": null,
      "snippet": null,
      "attachments": [
        null
      ],
      "labels": [
        null
      ],
      "tags": [
        "https://example.com/"
      ],
      "hasAttachments": false,
      "read": false,
      "starred": false,
      "sent": false,
      "attachmentsInline": [
        null
      ],
      "provider": null,
      "participants": [
        null
      ],
      "tasks": [
        {
          "id": null,
          "position": null,
          "totalComments": null,
          "title": null,
          "description": null,
          "isFlagged": null,
          "isSubTask": null,
          "indexNumber": null,
          "createdAt": null,
          "updatedAt": null,
          "completedAt": null,
          "archivedAt": null,
          "dueDate": null,
          "workspace": "https://example.com/",
          "status": "https://example.com/",
          "author": "https://example.com/",
          "parent": "https://example.com/",
          "tags": [
            "https://example.com/"
          ],
          "assignees": [
            "https://example.com/"
          ],
          "observers": [
            "https://example.com/"
          ],
          "subTasks": [
            "https://example.com/"
          ],
          "completedSubtasks": null,
          "totalSubtasks": null,
          "isTemplate": null,
          "storyPointEstimation": null,
          "timeEstimation": null,
          "dealSizeEstimation": null,
          "messageProvider": null,
          "scheduledOn": null,
          "previouslyScheduledOn": null,
          "plannedWeek": null,
          "plannedMonth": null,
          "snoozeUntil": null,
          "isRecurring": null,
          "workspaceType": null,
          "files": [
            {
              "file": null,
              "id": null,
              "createdAt": null,
              "name": null,
              "size": null,
              "mimeType": null,
              "contentId": null,
              "updatedAt": null,
              "publicUrl": null
            }
          ],
          "messages": [
            null
          ],
          "conversationItems": [
            "https://example.com/"
          ],
          "people": [
            "https://example.com/"
          ],
          "organizations": [
            "https://example.com/"
          ],
          "recurringSettings": [
            null
          ],
          "automation": "https://example.com/",
          "startDate": null,
          "blockedFields": [
            null
          ]
        }
      ],
      "from": [
        null
      ],
      "to": [
        null
      ],
      "cc": [
        null
      ],
      "bcc": [
        null
      ],
      "owner": false,
      "hasAccess": false,
      "write": false,
      "conversationId": null,
      "user": "https://example.com/",
      "body": null,
      "id": null
    }
  ],
  "conversationItems": [
    {
      "replyTo": "https://example.com/",
      "body": null,
      "mentions": [
        {}
      ],
      "attachments": [
        {
          "file": null,
          "id": null,
          "createdAt": null,
          "name": null,
          "size": null,
          "mimeType": null,
          "contentId": null,
          "updatedAt": null,
          "publicUrl": null
        }
      ]
    }
  ],
  "isFlagged": false,
  "archivedAt": null,
  "dueDate": null,
  "isTemplate": false,
  "storyPointEstimation": null,
  "dealSizeEstimation": null,
  "timeEstimation": null,
  "scheduledOn": null,
  "plannedWeek": null,
  "plannedMonth": null,
  "snoozeUntil": null
}
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "id": null,
  "position": null,
  "totalComments": null,
  "title": null,
  "description": null,
  "isFlagged": null,
  "isSubTask": null,
  "indexNumber": null,
  "createdAt": null,
  "updatedAt": null,
  "completedAt": null,
  "archivedAt": null,
  "dueDate": null,
  "workspace": "https://example.com/",
  "status": "https://example.com/",
  "author": "https://example.com/",
  "parent": "https://example.com/",
  "tags": [
    "https://example.com/"
  ],
  "assignees": [
    "https://example.com/"
  ],
  "observers": [
    "https://example.com/"
  ],
  "subTasks": [
    "https://example.com/"
  ],
  "completedSubtasks": null,
  "totalSubtasks": null,
  "isTemplate": null,
  "storyPointEstimation": null,
  "timeEstimation": null,
  "dealSizeEstimation": null,
  "messageProvider": null,
  "scheduledOn": null,
  "previouslyScheduledOn": null,
  "plannedWeek": null,
  "plannedMonth": null,
  "snoozeUntil": null,
  "isRecurring": null,
  "workspaceType": null,
  "files": [
    {
      "@context": "text",
      "@id": "text",
      "@type": "text",
      "id": null,
      "createdAt": null,
      "name": null,
      "size": null,
      "mimeType": null,
      "contentId": null,
      "updatedAt": null,
      "publicUrl": null
    }
  ],
  "messages": [
    null
  ],
  "conversationItems": [
    "https://example.com/"
  ],
  "people": [
    "https://example.com/"
  ],
  "organizations": [
    "https://example.com/"
  ],
  "recurringSettings": [
    null
  ],
  "automation": "https://example.com/",
  "startDate": null,
  "blockedFields": [
    null
  ]
}

Creates a Task resource.

post

Creates a Task resource.

Authorizations
Path parameters
idstringRequired

Task identifier

Body

Duplicate task

statusstring · nullableOptional

Set status

Example: /workspaces/{workspaceId}/columns/{id}
titlestring · nullableOptionalExample: Title based on task to be copied
isTemplatebooleanOptionalDefault: false
Responses
201

Task resource created

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
idstring · nullableOptional
positioninteger · nullableOptional
totalCommentsinteger · nullableOptional
titlestring · nullableOptional
descriptionstring · nullableOptional
isFlaggedboolean · nullableOptional
isSubTaskboolean · nullableOptional
indexNumberinteger · nullableOptional
createdAtstring · nullableOptional
updatedAtstring · nullableOptional
completedAtstring · nullableOptional
archivedAtstring · nullableOptional
dueDatestring · nullableOptional
workspacestring · nullableOptionalExample: https://example.com/
statusstring · nullableOptionalExample: https://example.com/
authorstring · nullableOptionalExample: https://example.com/
parentstring · nullableOptionalExample: https://example.com/
tagsstring · iri-reference[]OptionalExample: https://example.com/
assigneesstring · iri-reference[]OptionalExample: https://example.com/
observersstring · iri-reference[]OptionalExample: https://example.com/
subTasksany ofOptional
string · iri-reference[]OptionalExample: https://example.com/
or
string · iri-reference[]OptionalExample: https://example.com/
completedSubtasksinteger · nullableOptional
totalSubtasksinteger · nullableOptional
isTemplateboolean · nullableOptional
storyPointEstimationinteger · nullableOptional
timeEstimationinteger · nullableOptional
dealSizeEstimationinteger · nullableOptional
messageProviderstring · nullableOptional
scheduledOnstring · nullableOptional
previouslyScheduledOnstring · nullableOptional
plannedWeekstring · nullableOptional
plannedMonthstring · nullableOptional
snoozeUntilstring · nullableOptional
isRecurringboolean · nullableOptional
workspaceTypestring · nullableOptional
conversationItemsstring · iri-reference[]OptionalExample: https://example.com/
peoplestring · iri-reference[]OptionalExample: https://example.com/
organizationsstring · iri-reference[]OptionalExample: https://example.com/
automationstring · nullableOptionalExample: https://example.com/
startDatestring · nullableOptional
post/tasks/{id}/duplicate
POST /tasks/{id}/duplicate HTTP/1.1
Host: api.rogerroger.io
Content-Type: application/ld+json
Accept: */*
Content-Length: 1251

{
  "status": "/workspaces/{workspaceId}/columns/{id}",
  "title": "Title based on task to be copied",
  "isTemplate": false,
  "people": [
    {
      "familyName": null,
      "givenName": null,
      "additionalName": null,
      "initials": null,
      "customerId": null,
      "honorificPrefix": null,
      "isTracked": null,
      "linkedinId": null,
      "externalSource": null,
      "archivedAt": null,
      "owner": "/users/{id}",
      "jobTitle": null,
      "tags": [
        "/tags/{id}"
      ],
      "segments": [
        "/segments/{id}"
      ],
      "organizations": [
        "/organizations/{id}"
      ],
      "emailAddresses": [
        {
          "email": null
        }
      ],
      "phoneNumbers": [
        {
          "phoneNumber": null,
          "phoneType": "fax"
        }
      ],
      "address": {
        "city": null,
        "postalCode": null,
        "street": null,
        "country": "NL"
      },
      "avatar": "/media_objects/{id}",
      "dealSize": null,
      "totalDeals": null,
      "totalLostDeals": null,
      "totalWonDeals": null,
      "id": null
    }
  ],
  "organizations": [
    {
      "description": null,
      "emailAddresses": [
        {
          "email": null
        }
      ],
      "phoneNumbers": [
        {
          "phoneNumber": null,
          "phoneType": "fax"
        }
      ],
      "title": null,
      "website": null,
      "customerId": null,
      "externalSource": null,
      "chamberOfCommerceNumber": null,
      "linkedinId": null,
      "archivedAt": null,
      "address": {
        "city": null,
        "postalCode": null,
        "street": null,
        "country": "NL"
      },
      "owner": "/users/{id}",
      "people": [
        "/people/{id}"
      ],
      "avatar": "/media_objects/{id}",
      "tags": [
        "/tags/{id}"
      ],
      "segments": [
        "/segments/{id}"
      ],
      "integrationParticipants": [
        "https://example.com/"
      ],
      "id": null
    }
  ]
}
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "id": null,
  "position": null,
  "totalComments": null,
  "title": null,
  "description": null,
  "isFlagged": null,
  "isSubTask": null,
  "indexNumber": null,
  "createdAt": null,
  "updatedAt": null,
  "completedAt": null,
  "archivedAt": null,
  "dueDate": null,
  "workspace": "https://example.com/",
  "status": "https://example.com/",
  "author": "https://example.com/",
  "parent": "https://example.com/",
  "tags": [
    "https://example.com/"
  ],
  "assignees": [
    "https://example.com/"
  ],
  "observers": [
    "https://example.com/"
  ],
  "subTasks": [
    "https://example.com/"
  ],
  "completedSubtasks": null,
  "totalSubtasks": null,
  "isTemplate": null,
  "storyPointEstimation": null,
  "timeEstimation": null,
  "dealSizeEstimation": null,
  "messageProvider": null,
  "scheduledOn": null,
  "previouslyScheduledOn": null,
  "plannedWeek": null,
  "plannedMonth": null,
  "snoozeUntil": null,
  "isRecurring": null,
  "workspaceType": null,
  "files": [
    {
      "@context": "text",
      "@id": "text",
      "@type": "text",
      "id": null,
      "createdAt": null,
      "name": null,
      "size": null,
      "mimeType": null,
      "contentId": null,
      "updatedAt": null,
      "publicUrl": null
    }
  ],
  "messages": [
    null
  ],
  "conversationItems": [
    "https://example.com/"
  ],
  "people": [
    "https://example.com/"
  ],
  "organizations": [
    "https://example.com/"
  ],
  "recurringSettings": [
    null
  ],
  "automation": "https://example.com/",
  "startDate": null,
  "blockedFields": [
    null
  ]
}

Creates a Task resource.

post

Creates a Task resource.

Authorizations
Path parameters
idstringRequired

Task identifier

Responses
204

Task resource created

No content

post/tasks/{id}/export
POST /tasks/{id}/export HTTP/1.1
Host: api.rogerroger.io
Accept: */*

No content

Creates a TaskCommentResource resource.

post

Creates a TaskCommentResource resource.

Authorizations
Path parameters
taskIdstringRequired

TaskCommentResource identifier

Body
idstring · nullableOptional
taskIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableRequired
flaggedboolean · nullableOptional
authorstring · nullableOptionalExample: https://example.com/
mentionsstring · iri-reference[]OptionalExample: https://example.com/
Responses
201

TaskCommentResource resource created

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
idstring · nullableOptional
taskIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableRequired
flaggedboolean · nullableOptional
authorstring · nullableOptionalExample: https://example.com/
mentionsstring · iri-reference[]OptionalExample: https://example.com/
post/tasks/{taskId}/comments
POST /tasks/{taskId}/comments HTTP/1.1
Host: api.rogerroger.io
Content-Type: application/ld+json
Accept: */*
Content-Length: 144

{
  "id": null,
  "taskId": null,
  "createdAt": null,
  "description": null,
  "flagged": null,
  "author": "https://example.com/",
  "mentions": [
    "https://example.com/"
  ]
}
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "id": null,
  "createdAt": null,
  "description": null,
  "flagged": null,
  "author": "https://example.com/",
  "mentions": [
    "https://example.com/"
  ]
}

Retrieves a Task resource.

get

Retrieves a Task resource.

Authorizations
Path parameters
idstringRequired

Task identifier

Responses
200

Task resource

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
idstring · nullableOptional
positioninteger · nullableOptional
totalCommentsinteger · nullableOptional
titlestring · nullableOptional
descriptionstring · nullableOptional
isFlaggedboolean · nullableOptional
isSubTaskboolean · nullableOptional
indexNumberinteger · nullableOptional
createdAtstring · nullableOptional
updatedAtstring · nullableOptional
completedAtstring · nullableOptional
archivedAtstring · nullableOptional
dueDatestring · nullableOptional
workspacestring · nullableOptionalExample: https://example.com/
statusstring · nullableOptionalExample: https://example.com/
authorstring · nullableOptionalExample: https://example.com/
parentstring · nullableOptionalExample: https://example.com/
tagsstring · iri-reference[]OptionalExample: https://example.com/
assigneesstring · iri-reference[]OptionalExample: https://example.com/
observersstring · iri-reference[]OptionalExample: https://example.com/
subTasksany ofOptional
string · iri-reference[]OptionalExample: https://example.com/
or
string · iri-reference[]OptionalExample: https://example.com/
completedSubtasksinteger · nullableOptional
totalSubtasksinteger · nullableOptional
isTemplateboolean · nullableOptional
storyPointEstimationinteger · nullableOptional
timeEstimationinteger · nullableOptional
dealSizeEstimationinteger · nullableOptional
messageProviderstring · nullableOptional
scheduledOnstring · nullableOptional
previouslyScheduledOnstring · nullableOptional
plannedWeekstring · nullableOptional
plannedMonthstring · nullableOptional
snoozeUntilstring · nullableOptional
isRecurringboolean · nullableOptional
workspaceTypestring · nullableOptional
conversationItemsstring · iri-reference[]OptionalExample: https://example.com/
peoplestring · iri-reference[]OptionalExample: https://example.com/
organizationsstring · iri-reference[]OptionalExample: https://example.com/
automationstring · nullableOptionalExample: https://example.com/
startDatestring · nullableOptional
get/tasks/{id}
GET /tasks/{id} HTTP/1.1
Host: api.rogerroger.io
Accept: */*
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "id": null,
  "position": null,
  "totalComments": null,
  "title": null,
  "description": null,
  "isFlagged": null,
  "isSubTask": null,
  "indexNumber": null,
  "createdAt": null,
  "updatedAt": null,
  "completedAt": null,
  "archivedAt": null,
  "dueDate": null,
  "workspace": "https://example.com/",
  "status": "https://example.com/",
  "author": "https://example.com/",
  "parent": "https://example.com/",
  "tags": [
    "https://example.com/"
  ],
  "assignees": [
    "https://example.com/"
  ],
  "observers": [
    "https://example.com/"
  ],
  "subTasks": [
    "https://example.com/"
  ],
  "completedSubtasks": null,
  "totalSubtasks": null,
  "isTemplate": null,
  "storyPointEstimation": null,
  "timeEstimation": null,
  "dealSizeEstimation": null,
  "messageProvider": null,
  "scheduledOn": null,
  "previouslyScheduledOn": null,
  "plannedWeek": null,
  "plannedMonth": null,
  "snoozeUntil": null,
  "isRecurring": null,
  "workspaceType": null,
  "files": [
    {
      "@context": "text",
      "@id": "text",
      "@type": "text",
      "id": null,
      "createdAt": null,
      "name": null,
      "size": null,
      "mimeType": null,
      "contentId": null,
      "updatedAt": null,
      "publicUrl": null
    }
  ],
  "messages": [
    null
  ],
  "conversationItems": [
    "https://example.com/"
  ],
  "people": [
    "https://example.com/"
  ],
  "organizations": [
    "https://example.com/"
  ],
  "recurringSettings": [
    null
  ],
  "automation": "https://example.com/",
  "startDate": null,
  "blockedFields": [
    null
  ]
}

Retrieves a TaskCommentResource resource.

get

Retrieves a TaskCommentResource resource.

Authorizations
Path parameters
taskIdstringRequired

TaskCommentResource identifier

idstringRequired

TaskCommentResource identifier

Responses
200

TaskCommentResource resource

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
idstring · nullableOptional
taskIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableRequired
flaggedboolean · nullableOptional
authorstring · nullableOptionalExample: https://example.com/
mentionsstring · iri-reference[]OptionalExample: https://example.com/
get/tasks/{taskId}/comments/{id}
GET /tasks/{taskId}/comments/{id} HTTP/1.1
Host: api.rogerroger.io
Accept: */*
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "id": null,
  "createdAt": null,
  "description": null,
  "flagged": null,
  "author": "https://example.com/",
  "mentions": [
    "https://example.com/"
  ]
}

Updates the TaskCommentResource resource.

patch

Updates the TaskCommentResource resource.

Authorizations
Path parameters
taskIdstringRequired

TaskCommentResource identifier

idstringRequired

TaskCommentResource identifier

Body
idstring · nullableOptional
taskIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableOptional
flaggedboolean · nullableOptional
authorstring · nullableOptionalExample: https://example.com/
mentionsstring · iri-reference[]OptionalExample: https://example.com/
Responses
200

TaskCommentResource resource updated

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
idstring · nullableOptional
taskIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableRequired
flaggedboolean · nullableOptional
authorstring · nullableOptionalExample: https://example.com/
mentionsstring · iri-reference[]OptionalExample: https://example.com/
patch/tasks/{taskId}/comments/{id}
PATCH /tasks/{taskId}/comments/{id} HTTP/1.1
Host: api.rogerroger.io
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 144

{
  "id": null,
  "taskId": null,
  "createdAt": null,
  "description": null,
  "flagged": null,
  "author": "https://example.com/",
  "mentions": [
    "https://example.com/"
  ]
}
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "id": null,
  "createdAt": null,
  "description": null,
  "flagged": null,
  "author": "https://example.com/",
  "mentions": [
    "https://example.com/"
  ]
}

Retrieves a TaskHistory resource.

get

Retrieves a TaskHistory resource.

Authorizations
Path parameters
taskIdstringRequired

TaskHistory identifier

idstringRequired

TaskHistory identifier

Responses
200

TaskHistory resource

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
idstringOptional
createdAtstring · date-timeOptional
authorstring · iri-referenceOptionalExample: https://example.com/
get/tasks/{taskId}/history/{id}
GET /tasks/{taskId}/history/{id} HTTP/1.1
Host: api.rogerroger.io
Accept: */*
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "id": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "changes": [
    null
  ],
  "author": "https://example.com/"
}

Replaces the TaskCommentResource resource.

put

Replaces the TaskCommentResource resource.

Authorizations
Path parameters
taskIdstringRequired

TaskCommentResource identifier

idstringRequired

TaskCommentResource identifier

Body
idstring · nullableOptional
taskIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableRequired
flaggedboolean · nullableOptional
authorstring · nullableOptionalExample: https://example.com/
mentionsstring · iri-reference[]OptionalExample: https://example.com/
Responses
200

TaskCommentResource resource updated

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
idstring · nullableOptional
taskIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableRequired
flaggedboolean · nullableOptional
authorstring · nullableOptionalExample: https://example.com/
mentionsstring · iri-reference[]OptionalExample: https://example.com/
put/tasks/{taskId}/comments/{id}
PUT /tasks/{taskId}/comments/{id} HTTP/1.1
Host: api.rogerroger.io
Content-Type: application/ld+json
Accept: */*
Content-Length: 144

{
  "id": null,
  "taskId": null,
  "createdAt": null,
  "description": null,
  "flagged": null,
  "author": "https://example.com/",
  "mentions": [
    "https://example.com/"
  ]
}
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "id": null,
  "createdAt": null,
  "description": null,
  "flagged": null,
  "author": "https://example.com/",
  "mentions": [
    "https://example.com/"
  ]
}

Updates the UpdateTaskResource resource.

patch

Updates the UpdateTaskResource resource.

Authorizations
Path parameters
idstringRequired

UpdateTaskResource identifier

Body
completedAtstring · nullableOptional

Task is completed at

filesstring · iri-reference[]OptionalExample: https://example.com/
idstring · nullableOptional
titlestring · nullableOptional

Title of task

descriptionstring · nullableOptional

Short description of task

statusstring · nullableOptional

Workspace

Example: /workspaces/{workspaceId}/columns/{id}
authorstring · nullableOptional

Author of this task

Example: /users/{id}
assigneesstring · iri-reference[]Optional

Assignees belonging to this task

Example: ["/users/{id}"]
observersstring · iri-reference[]Optional

Obersers belonging to this task

Example: ["/users/{id}"]
tagsstring · iri-reference[]Optional

Tags of this task

Example: ["/tags/{id}"]
peoplestring · iri-reference[]Optional

People belonging to this task

Example: ["/people/{id}"]
organizationsstring · iri-reference[]Optional

Organizations belonging to this task

Example: ["/organizations/{id}"]
messagesstring · iri-reference[]Optional

Messages belonging to this task

Example: ["/messages/{id}"]
conversationItemsstring · iri-reference[]Optional

Messages belonging to this task

Example: ["/conversations/{conversationId}/items/{id}"]
isFlaggedbooleanOptional

Highlight this task

Default: false
archivedAtstring · nullableOptional

Archive task

dueDatestring · nullableOptional

Date when this task is due

isTemplatebooleanOptional

Task is a template

Default: false
storyPointEstimationinteger · nullableOptional
dealSizeEstimationinteger · nullableOptional
timeEstimationinteger · max: 4294967295 · nullableOptional
scheduledOnstring · nullableOptional

Date when task is scheduled

plannedWeekstring · nullableOptional

Date when task is planned in week

plannedMonthstring · nullableOptional

Date when task is planned in month

snoozeUntilstring · nullableOptional

Snooze task until

Responses
200

UpdateTaskResource resource updated

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
completedAtstring · nullableOptional

Task is completed at

filesstring · iri-reference[]OptionalExample: https://example.com/
idstring · nullableOptional
titlestring · nullableRequired

Title of task

descriptionstring · nullableOptional

Short description of task

statusstring · nullableOptional

Workspace

Example: /workspaces/{workspaceId}/columns/{id}
authorstring · nullableOptional

Author of this task

Example: /users/{id}
assigneesstring · iri-reference[]Optional

Assignees belonging to this task

Example: ["/users/{id}"]
observersstring · iri-reference[]Optional

Obersers belonging to this task

Example: ["/users/{id}"]
tagsstring · iri-reference[]Optional

Tags of this task

Example: ["/tags/{id}"]
peoplestring · iri-reference[]Optional

People belonging to this task

Example: ["/people/{id}"]
organizationsstring · iri-reference[]Optional

Organizations belonging to this task

Example: ["/organizations/{id}"]
messagesstring · iri-reference[]Optional

Messages belonging to this task

Example: ["/messages/{id}"]
conversationItemsstring · iri-reference[]Optional

Messages belonging to this task

Example: ["/conversations/{conversationId}/items/{id}"]
isFlaggedbooleanOptional

Highlight this task

Default: false
archivedAtstring · nullableOptional

Archive task

dueDatestring · nullableOptional

Date when this task is due

isTemplatebooleanOptional

Task is a template

Default: false
storyPointEstimationinteger · nullableOptional
dealSizeEstimationinteger · nullableOptional
timeEstimationinteger · max: 4294967295 · nullableOptional
scheduledOnstring · nullableOptional

Date when task is scheduled

plannedWeekstring · nullableOptional

Date when task is planned in week

plannedMonthstring · nullableOptional

Date when task is planned in month

snoozeUntilstring · nullableOptional

Snooze task until

patch/tasks/{id}
PATCH /tasks/{id} HTTP/1.1
Host: api.rogerroger.io
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 785

{
  "completedAt": null,
  "files": [
    "https://example.com/"
  ],
  "recurringSettings": {
    "rrule": null,
    "recurUntilCount": 0,
    "recurUntil": null,
    "recurOnSchedule": false,
    "createNewTask": false,
    "snooze": false,
    "recurData": [
      null
    ]
  },
  "id": null,
  "title": null,
  "description": null,
  "status": "/workspaces/{workspaceId}/columns/{id}",
  "author": "/users/{id}",
  "assignees": [
    "/users/{id}"
  ],
  "observers": [
    "/users/{id}"
  ],
  "tags": [
    "/tags/{id}"
  ],
  "people": [
    "/people/{id}"
  ],
  "organizations": [
    "/organizations/{id}"
  ],
  "messages": [
    "/messages/{id}"
  ],
  "conversationItems": [
    "/conversations/{conversationId}/items/{id}"
  ],
  "isFlagged": false,
  "archivedAt": null,
  "dueDate": null,
  "isTemplate": false,
  "storyPointEstimation": null,
  "dealSizeEstimation": null,
  "timeEstimation": null,
  "scheduledOn": null,
  "plannedWeek": null,
  "plannedMonth": null,
  "snoozeUntil": null
}
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "completedAt": null,
  "files": [
    "https://example.com/"
  ],
  "recurringSettings": {
    "rrule": null,
    "recurUntilCount": 0,
    "recurUntil": null,
    "recurOnSchedule": false,
    "createNewTask": false,
    "snooze": false,
    "recurData": [
      null
    ]
  },
  "id": null,
  "title": null,
  "description": null,
  "status": "/workspaces/{workspaceId}/columns/{id}",
  "author": "/users/{id}",
  "assignees": [
    "/users/{id}"
  ],
  "observers": [
    "/users/{id}"
  ],
  "tags": [
    "/tags/{id}"
  ],
  "people": [
    "/people/{id}"
  ],
  "organizations": [
    "/organizations/{id}"
  ],
  "messages": [
    "/messages/{id}"
  ],
  "conversationItems": [
    "/conversations/{conversationId}/items/{id}"
  ],
  "isFlagged": false,
  "archivedAt": null,
  "dueDate": null,
  "isTemplate": false,
  "storyPointEstimation": null,
  "dealSizeEstimation": null,
  "timeEstimation": null,
  "scheduledOn": null,
  "plannedWeek": null,
  "plannedMonth": null,
  "snoozeUntil": null
}

Replaces the UpdateTaskResource resource.

put

Replaces the UpdateTaskResource resource.

Authorizations
Path parameters
idstringRequired

UpdateTaskResource identifier

Body
completedAtstring · nullableOptional

Task is completed at

filesstring · iri-reference[]OptionalExample: https://example.com/
idstring · nullableOptional
titlestring · nullableRequired

Title of task

descriptionstring · nullableOptional

Short description of task

statusstring · nullableOptional

Workspace

Example: /workspaces/{workspaceId}/columns/{id}
authorstring · nullableOptional

Author of this task

Example: /users/{id}
assigneesstring · iri-reference[]Optional

Assignees belonging to this task

Example: ["/users/{id}"]
observersstring · iri-reference[]Optional

Obersers belonging to this task

Example: ["/users/{id}"]
tagsstring · iri-reference[]Optional

Tags of this task

Example: ["/tags/{id}"]
peoplestring · iri-reference[]Optional

People belonging to this task

Example: ["/people/{id}"]
organizationsstring · iri-reference[]Optional

Organizations belonging to this task

Example: ["/organizations/{id}"]
messagesstring · iri-reference[]Optional

Messages belonging to this task

Example: ["/messages/{id}"]
conversationItemsstring · iri-reference[]Optional

Messages belonging to this task

Example: ["/conversations/{conversationId}/items/{id}"]
isFlaggedbooleanOptional

Highlight this task

Default: false
archivedAtstring · nullableOptional

Archive task

dueDatestring · nullableOptional

Date when this task is due

isTemplatebooleanOptional

Task is a template

Default: false
storyPointEstimationinteger · nullableOptional
dealSizeEstimationinteger · nullableOptional
timeEstimationinteger · max: 4294967295 · nullableOptional
scheduledOnstring · nullableOptional

Date when task is scheduled

plannedWeekstring · nullableOptional

Date when task is planned in week

plannedMonthstring · nullableOptional

Date when task is planned in month

snoozeUntilstring · nullableOptional

Snooze task until

Responses
200

UpdateTaskResource resource updated

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
completedAtstring · nullableOptional

Task is completed at

filesstring · iri-reference[]OptionalExample: https://example.com/
idstring · nullableOptional
titlestring · nullableRequired

Title of task

descriptionstring · nullableOptional

Short description of task

statusstring · nullableOptional

Workspace

Example: /workspaces/{workspaceId}/columns/{id}
authorstring · nullableOptional

Author of this task

Example: /users/{id}
assigneesstring · iri-reference[]Optional

Assignees belonging to this task

Example: ["/users/{id}"]
observersstring · iri-reference[]Optional

Obersers belonging to this task

Example: ["/users/{id}"]
tagsstring · iri-reference[]Optional

Tags of this task

Example: ["/tags/{id}"]
peoplestring · iri-reference[]Optional

People belonging to this task

Example: ["/people/{id}"]
organizationsstring · iri-reference[]Optional

Organizations belonging to this task

Example: ["/organizations/{id}"]
messagesstring · iri-reference[]Optional

Messages belonging to this task

Example: ["/messages/{id}"]
conversationItemsstring · iri-reference[]Optional

Messages belonging to this task

Example: ["/conversations/{conversationId}/items/{id}"]
isFlaggedbooleanOptional

Highlight this task

Default: false
archivedAtstring · nullableOptional

Archive task

dueDatestring · nullableOptional

Date when this task is due

isTemplatebooleanOptional

Task is a template

Default: false
storyPointEstimationinteger · nullableOptional
dealSizeEstimationinteger · nullableOptional
timeEstimationinteger · max: 4294967295 · nullableOptional
scheduledOnstring · nullableOptional

Date when task is scheduled

plannedWeekstring · nullableOptional

Date when task is planned in week

plannedMonthstring · nullableOptional

Date when task is planned in month

snoozeUntilstring · nullableOptional

Snooze task until

put/tasks/{id}
PUT /tasks/{id} HTTP/1.1
Host: api.rogerroger.io
Content-Type: application/ld+json
Accept: */*
Content-Length: 785

{
  "completedAt": null,
  "files": [
    "https://example.com/"
  ],
  "recurringSettings": {
    "rrule": null,
    "recurUntilCount": 0,
    "recurUntil": null,
    "recurOnSchedule": false,
    "createNewTask": false,
    "snooze": false,
    "recurData": [
      null
    ]
  },
  "id": null,
  "title": null,
  "description": null,
  "status": "/workspaces/{workspaceId}/columns/{id}",
  "author": "/users/{id}",
  "assignees": [
    "/users/{id}"
  ],
  "observers": [
    "/users/{id}"
  ],
  "tags": [
    "/tags/{id}"
  ],
  "people": [
    "/people/{id}"
  ],
  "organizations": [
    "/organizations/{id}"
  ],
  "messages": [
    "/messages/{id}"
  ],
  "conversationItems": [
    "/conversations/{conversationId}/items/{id}"
  ],
  "isFlagged": false,
  "archivedAt": null,
  "dueDate": null,
  "isTemplate": false,
  "storyPointEstimation": null,
  "dealSizeEstimation": null,
  "timeEstimation": null,
  "scheduledOn": null,
  "plannedWeek": null,
  "plannedMonth": null,
  "snoozeUntil": null
}
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "completedAt": null,
  "files": [
    "https://example.com/"
  ],
  "recurringSettings": {
    "rrule": null,
    "recurUntilCount": 0,
    "recurUntil": null,
    "recurOnSchedule": false,
    "createNewTask": false,
    "snooze": false,
    "recurData": [
      null
    ]
  },
  "id": null,
  "title": null,
  "description": null,
  "status": "/workspaces/{workspaceId}/columns/{id}",
  "author": "/users/{id}",
  "assignees": [
    "/users/{id}"
  ],
  "observers": [
    "/users/{id}"
  ],
  "tags": [
    "/tags/{id}"
  ],
  "people": [
    "/people/{id}"
  ],
  "organizations": [
    "/organizations/{id}"
  ],
  "messages": [
    "/messages/{id}"
  ],
  "conversationItems": [
    "/conversations/{conversationId}/items/{id}"
  ],
  "isFlagged": false,
  "archivedAt": null,
  "dueDate": null,
  "isTemplate": false,
  "storyPointEstimation": null,
  "dealSizeEstimation": null,
  "timeEstimation": null,
  "scheduledOn": null,
  "plannedWeek": null,
  "plannedMonth": null,
  "snoozeUntil": null
}

Retrieves the collection of Task resources.

get

Retrieves the collection of Task resources.

Authorizations
Query parameters
pageintegerOptional

The collection page number

Default: 1
itemsPerPageinteger · max: 30Optional

The number of items per page

Default: 15
author.idstringOptional
author.id[]string[]Optional
assignees.idstringOptional
assignees.id[]string[]Optional
observers.idstringOptional
observers.id[]string[]Optional
workspace.uuidstringOptional
workspace.uuid[]string[]Optional
status.uuidstringOptional
status.uuid[]string[]Optional
message.idstringOptional
message.id[]string[]Optional
tags.idstringOptional
tags.id[]string[]Optional
people.personIdstringOptional
people.personId[]string[]Optional
organizations.organizationIdstringOptional
organizations.organizationId[]string[]Optional
order[position]string · enumOptionalPossible values:
order[createdAt]string · enumOptionalPossible values:
order[dueDate]string · enumOptionalPossible values:
order[storyPointEstimation]string · enumOptionalPossible values:
order[timeEstimation]string · enumOptionalPossible values:
order[dealSizeEstimation]string · enumOptionalPossible values:
order[scheduledOn]string · enumOptionalPossible values:
completedAt[strictly_after]stringOptional
completedAt[after]stringOptional
completedAt[strictly_before]stringOptional
completedAt[before]stringOptional
archivedAt[strictly_after]stringOptional
archivedAt[after]stringOptional
archivedAt[strictly_before]stringOptional
archivedAt[before]stringOptional
dueDate[strictly_after]stringOptional
dueDate[after]stringOptional
dueDate[strictly_before]stringOptional
dueDate[before]stringOptional
createdAt[strictly_after]stringOptional
createdAt[after]stringOptional
createdAt[strictly_before]stringOptional
createdAt[before]stringOptional
scheduledOn[strictly_after]stringOptional
scheduledOn[after]stringOptional
scheduledOn[strictly_before]stringOptional
scheduledOn[before]stringOptional
snoozeUntil[strictly_after]stringOptional
snoozeUntil[after]stringOptional
snoozeUntil[strictly_before]stringOptional
snoozeUntil[before]stringOptional
startDate[strictly_after]stringOptional
startDate[after]stringOptional
startDate[strictly_before]stringOptional
startDate[before]stringOptional
exists[completedAt]booleanOptional
exists[archivedAt]booleanOptional
exists[snoozeUntil]booleanOptional
exists[assignees.id]booleanOptional
exists[workspace.uuid]booleanOptional
exists[message.id]booleanOptional
exists[tags.id]booleanOptional
exists[people.personId]booleanOptional
exists[organizations.organizationId]booleanOptional
exists[storyPointEstimation]booleanOptional
exists[dealSizeEstimation]booleanOptional
exists[timeEstimation]booleanOptional
qstringOptional
viewstring · enumOptional

Filter parameter to specify the view. To get only UUIDs, use 'idx'.

Possible values:
Responses
200

Task collection

totalItemsintegerOptional
get/tasks
GET /tasks HTTP/1.1
Host: api.rogerroger.io
Accept: */*
{
  "member": [
    {
      "@context": "text",
      "@id": "text",
      "@type": "text",
      "id": null,
      "position": null,
      "totalComments": null,
      "title": null,
      "description": null,
      "isFlagged": null,
      "isSubTask": null,
      "indexNumber": null,
      "createdAt": null,
      "updatedAt": null,
      "completedAt": null,
      "archivedAt": null,
      "dueDate": null,
      "workspace": "https://example.com/",
      "status": "https://example.com/",
      "author": "https://example.com/",
      "parent": "https://example.com/",
      "tags": [
        "https://example.com/"
      ],
      "assignees": [
        "https://example.com/"
      ],
      "observers": [
        "https://example.com/"
      ],
      "subTasks": [
        "https://example.com/"
      ],
      "completedSubtasks": null,
      "totalSubtasks": null,
      "isTemplate": null,
      "storyPointEstimation": null,
      "timeEstimation": null,
      "dealSizeEstimation": null,
      "messageProvider": null,
      "scheduledOn": null,
      "previouslyScheduledOn": null,
      "plannedWeek": null,
      "plannedMonth": null,
      "snoozeUntil": null,
      "isRecurring": null,
      "workspaceType": null,
      "files": [
        {
          "@context": "text",
          "@id": "text",
          "@type": "text",
          "id": null,
          "createdAt": null,
          "name": null,
          "size": null,
          "mimeType": null,
          "contentId": null,
          "updatedAt": null,
          "publicUrl": null
        }
      ],
      "messages": [
        null
      ],
      "conversationItems": [
        "https://example.com/"
      ],
      "people": [
        "https://example.com/"
      ],
      "organizations": [
        "https://example.com/"
      ],
      "recurringSettings": [
        null
      ],
      "automation": "https://example.com/",
      "startDate": null,
      "blockedFields": [
        null
      ]
    }
  ],
  "totalItems": 1,
  "view": {
    "@id": "string",
    "type": "string",
    "first": "string",
    "last": "string",
    "previous": "string",
    "next": "string"
  },
  "search": {
    "@type": "text",
    "template": "text",
    "variableRepresentation": "text",
    "mapping": [
      {
        "@type": "text",
        "variable": "text",
        "property": null,
        "required": true
      }
    ]
  }
}

Retrieves the collection of TaskCommentResource resources.

get

Retrieves the collection of TaskCommentResource resources.

Authorizations
Path parameters
taskIdstringRequired

TaskCommentResource identifier

Query parameters
pageintegerOptional

The collection page number

Default: 1
itemsPerPageinteger · max: 30Optional

The number of items per page

Default: 15
createdAt[strictly_after]stringOptional
createdAt[after]stringOptional
createdAt[strictly_before]stringOptional
createdAt[before]stringOptional
flaggedbooleanOptional
author.idstringOptional
author.id[]string[]Optional
order[flagged]string · enumOptionalPossible values:
order[createdAt]string · enumOptionalPossible values:
Responses
200

TaskCommentResource collection

totalItemsintegerOptional
get/tasks/{taskId}/comments
GET /tasks/{taskId}/comments HTTP/1.1
Host: api.rogerroger.io
Accept: */*
{
  "member": [
    {
      "@context": "text",
      "@id": "text",
      "@type": "text",
      "id": null,
      "createdAt": null,
      "description": null,
      "flagged": null,
      "author": "https://example.com/",
      "mentions": [
        "https://example.com/"
      ]
    }
  ],
  "totalItems": 1,
  "view": {
    "@id": "string",
    "type": "string",
    "first": "string",
    "last": "string",
    "previous": "string",
    "next": "string"
  },
  "search": {
    "@type": "text",
    "template": "text",
    "variableRepresentation": "text",
    "mapping": [
      {
        "@type": "text",
        "variable": "text",
        "property": null,
        "required": true
      }
    ]
  }
}

Retrieves the collection of TaskHistory resources.

get

Retrieves the collection of TaskHistory resources.

Authorizations
Path parameters
taskIdstringRequired

TaskHistory identifier

Query parameters
pageintegerOptional

The collection page number

Default: 1
itemsPerPageinteger · max: 30Optional

The number of items per page

Default: 15
order[createdAt]string · enumOptionalDefault: ascPossible values:
Responses
200

TaskHistory collection

totalItemsintegerOptional
get/tasks/{taskId}/history
GET /tasks/{taskId}/history HTTP/1.1
Host: api.rogerroger.io
Accept: */*
{
  "member": [
    {
      "@context": "text",
      "@id": "text",
      "@type": "text",
      "id": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "changes": [
        null
      ],
      "author": "https://example.com/"
    }
  ],
  "totalItems": 1,
  "view": {
    "@id": "string",
    "type": "string",
    "first": "string",
    "last": "string",
    "previous": "string",
    "next": "string"
  },
  "search": {
    "@type": "text",
    "template": "text",
    "variableRepresentation": "text",
    "mapping": [
      {
        "@type": "text",
        "variable": "text",
        "property": null,
        "required": true
      }
    ]
  }
}

Last updated